<?php

/**
 * 同布转账记录表
 * User: ben
 */
class Sync_TransferLog extends Sync_Base {
    protected $dbKey = 'dw_chat_user';
    protected $frequency = 1;
    protected $index = 4;

    protected $dataField = ['transfer_trx_id', 'update_time_int'];

    /**
     * 清除数据的时间间隔
     * @var int
     */
    protected $clearTtl = 600;
    protected $clearAction = 'cleartransferlog';

    public function __construct() {
        parent::__construct('transfer_eos_log', 'id', 'update_time_int', 'transferlog');
    }

    protected function addNewRows($newRows) {
        parent::addNewRows($newRows);
        foreach ($newRows as $newRow) {
//            if ($newRow[''])
        }
    }

    protected function updateRow($row, $priValue, $dbRow) {
        parent::updateRow($row, $priValue, $dbRow);
    }


}
